--- title: "getNasVolumeAccessControlRuleList" slug: "storage-vnas-volume-getnasvolumeaccesscontrolrulelist" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/storage-vnas-volume-getnasvolumeaccesscontrolrulelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getNasVolumeAccessControlRuleList Available in VPC View the list of access control rules set on a NAS volume instance. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /vnas/v2/getNasVolumeAccessControlRuleList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS (VPC) APIs, see [NAS (VPC) request headers](/docs/en/storage-vnas#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the NAS volume instance for which you want to view access control rules - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) (default: `KR`) | | `nasVolumeInstanceNo` | String | Required | NAS volume instance number for which you want to view access control rules - See [getNasVolumeInstanceList](/docs/en/storage-vnas-volume-getnasvolumeinstancelist) | | `responseFormatType` | String | Optional | Format type of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/getNasVolumeAccessControlRuleList ?regionCode=KR &nasVolumeInstanceNo=23380000 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeAccessControlRuleList](/docs/en/common-vapidatatype-nasvolumeaccesscontrolrulelist#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS (VPC) APIs, see [NAS (VPC) response status codes](/docs/en/storage-vnas#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "getNasVolumeAccessControlRuleListResponse": { "totalRows": 1, "nasVolumeAccessControlRuleList": [ { "serverInstanceNo": "23320000", "readAccess": true, "writeAccess": true } ], "requestId": "000087c4-4a20-4004-a78b-e493c7530000", "returnCode": "0", "returnMessage": "success" } } ```